{{- if .Values.istio.create }}
# this config is created through command
# mixgen adapter -c $GOPATH/src/istio.io/istio/mixer/adapter/wavefront/config/config.proto_descriptor -o $GOPATH/src/istio.io/istio/mixer/adapter/wavefront/config -s=false -n wavefront -t metric
apiVersion: {{ include "wfafi.istio.apiVersion" . }}
kind: adapter
metadata:
  name: {{ include "common.names.fullname" . }}-wavefront
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    app.kubernetes.io/component: wavefront-adapter-for-istio
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
  namespace: {{ .Values.istio.namespace }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
spec:
  description:
  session_based: false
  templates:
    - {{ include "common.names.fullname" . }}-metric.{{ .Release.Namespace }}
  config: [encoded data, 96860 characters]
{{- end }}
